uuid: 80a70b0a-6a91-4f08-a8f9-a36768716fb8
langcode: en
status: true
dependencies:
  module:
    - drutopia_article
id: config_sync.module.drutopia_article
snapshotSet: config_sync
extensionType: module
extensionName: drutopia_article
items:
  -
    collection: ''
    name: block_visibility_groups.block_visibility_group.article_listing
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - system
      id: article_listing
      label: 'Article Listing'
      logic: and
      conditions:
        7ff8110c-3b7e-4b97-8def-4081a2590558:
          id: request_path
          pages: /articles
          negate: false
          context_mapping: {  }
          uuid: 7ff8110c-3b7e-4b97-8def-4081a2590558
      allow_other_conditions: false
  -
    collection: ''
    name: core.entity_form_display.node.article.default
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.field.node.article.body
          - field.field.node.article.comment
          - field.field.node.article.field_article_type
          - field.field.node.article.field_authors
          - field.field.node.article.field_body_paragraph
          - field.field.node.article.field_image
          - field.field.node.article.field_meta_tags
          - field.field.node.article.field_summary
          - field.field.node.article.field_tags
          - field.field.node.article.field_topics
          - image.style.thumbnail
          - node.type.article
        module:
          - comment
          - image
          - metatag
          - paragraphs
          - path
          - text
      id: node.article.default
      targetEntityType: node
      bundle: article
      mode: default
      content:
        comment:
          type: comment_default
          weight: 12
          settings: {  }
          third_party_settings: {  }
          region: content
        created:
          type: datetime_timestamp
          weight: 9
          settings: {  }
          third_party_settings: {  }
          region: content
        field_article_type:
          weight: 1
          settings: {  }
          third_party_settings: {  }
          type: options_select
          region: content
        field_authors:
          type: entity_reference_autocomplete
          weight: 2
          region: content
          settings:
            match_operator: CONTAINS
            size: 60
            placeholder: ''
          third_party_settings: {  }
        field_body_paragraph:
          weight: 5
          settings:
            title: Paragraph
            title_plural: Paragraphs
            edit_mode: open
            add_mode: button
            form_display_mode: default
            default_paragraph_type: text
          third_party_settings: {  }
          type: entity_reference_paragraphs
          region: content
        field_image:
          type: image_image
          weight: 3
          settings:
            progress_indicator: throbber
            preview_image_style: thumbnail
          third_party_settings: {  }
          region: content
        field_meta_tags:
          weight: 14
          settings: {  }
          third_party_settings: {  }
          type: metatag_firehose
          region: content
        field_summary:
          weight: 4
          settings:
            rows: 5
            placeholder: ''
          third_party_settings: {  }
          type: text_textarea
          region: content
        field_tags:
          type: entity_reference_autocomplete_tags
          weight: 7
          settings:
            match_operator: CONTAINS
            size: 60
            placeholder: ''
          third_party_settings: {  }
          region: content
        field_topics:
          weight: 6
          settings: {  }
          third_party_settings: {  }
          type: options_select
          region: content
        path:
          type: path
          weight: 13
          settings: {  }
          third_party_settings: {  }
          region: content
        promote:
          type: boolean_checkbox
          settings:
            display_label: true
          weight: 10
          third_party_settings: {  }
          region: content
        status:
          type: boolean_checkbox
          settings:
            display_label: true
          weight: 15
          region: content
          third_party_settings: {  }
        sticky:
          type: boolean_checkbox
          settings:
            display_label: true
          weight: 11
          third_party_settings: {  }
          region: content
        title:
          type: string_textfield
          weight: 0
          settings:
            size: 60
            placeholder: ''
          third_party_settings: {  }
          region: content
        uid:
          type: entity_reference_autocomplete
          weight: 8
          settings:
            match_operator: CONTAINS
            size: 60
            placeholder: ''
          third_party_settings: {  }
          region: content
      hidden:
        body: true
  -
    collection: ''
    name: core.entity_view_display.node.article.box
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.box
          - field.field.node.article.body
          - field.field.node.article.comment
          - field.field.node.article.field_article_type
          - field.field.node.article.field_authors
          - field.field.node.article.field_body_paragraph
          - field.field.node.article.field_image
          - field.field.node.article.field_meta_tags
          - field.field.node.article.field_summary
          - field.field.node.article.field_tags
          - field.field.node.article.field_topics
          - node.type.article
        module:
          - ds
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_1col
            library: null
            disable_css: false
            entity_classes: all_classes
            settings:
              wrappers:
                ds_content: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions:
            ds_content:
              - node_title
              - node_post_date
          fields:
            node_post_date:
              plugin_id: node_post_date
              weight: 1
              label: hidden
              formatter: ds_post_date_month_day_year
            node_title:
              plugin_id: node_title
              weight: 0
              label: hidden
              formatter: default
              settings:
                link: true
                wrapper: h2
                class: ''
      id: node.article.box
      targetEntityType: node
      bundle: article
      mode: box
      content: {  }
      hidden:
        body: true
        comment: true
        field_article_type: true
        field_authors: true
        field_body_paragraph: true
        field_image: true
        field_meta_tags: true
        field_summary: true
        field_tags: true
        field_topics: true
        links: true
  -
    collection: ''
    name: core.entity_view_display.node.article.card
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.card
          - field.field.node.article.body
          - field.field.node.article.comment
          - field.field.node.article.field_article_type
          - field.field.node.article.field_authors
          - field.field.node.article.field_body_paragraph
          - field.field.node.article.field_image
          - field.field.node.article.field_meta_tags
          - field.field.node.article.field_summary
          - field.field.node.article.field_tags
          - field.field.node.article.field_topics
          - node.type.article
          - responsive_image.styles.narrow
        module:
          - ds
          - field_group
          - responsive_image
          - text
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_1col
            library: null
            disable_css: false
            entity_classes: all_classes
            settings:
              wrappers:
                ds_content: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions:
            ds_content:
              - field_image
              - group_card_content
              - node_post_date
              - node_title
              - field_summary
              - field_topics
          fields:
            node_post_date:
              plugin_id: node_post_date
              weight: 3
              label: hidden
              formatter: ds_post_date_month_day_year
            node_title:
              plugin_id: node_title
              weight: 4
              label: hidden
              formatter: default
              settings:
                link: true
                wrapper: h2
                class: ''
        field_group:
          group_card_content:
            children:
              - node_post_date
              - node_title
              - field_summary
              - field_topics
            parent_name: ''
            weight: 1
            format_type: html_element
            format_settings:
              id: ''
              classes: ''
              element: div
              show_label: false
              label_element: h3
              attributes: ''
              effect: none
              speed: fast
            label: 'Card content'
            region: hidden
      id: node.article.card
      targetEntityType: node
      bundle: article
      mode: card
      content:
        field_image:
          type: responsive_image
          weight: 0
          region: ds_content
          label: visually_hidden
          settings:
            responsive_image_style: narrow
            image_link: content
          third_party_settings: {  }
        field_summary:
          type: text_trimmed
          weight: 5
          region: ds_content
          label: visually_hidden
          settings:
            trim_length: 180
          third_party_settings: {  }
        field_topics:
          type: entity_reference_label
          weight: 6
          region: ds_content
          label: visually_hidden
          settings:
            link: true
          third_party_settings:
            ds:
              ds_limit: ''
      hidden:
        body: true
        comment: true
        field_article_type: true
        field_authors: true
        field_body_paragraph: true
        field_meta_tags: true
        field_tags: true
        links: true
  -
    collection: ''
    name: core.entity_view_display.node.article.default
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.field.node.article.body
          - field.field.node.article.comment
          - field.field.node.article.field_article_type
          - field.field.node.article.field_authors
          - field.field.node.article.field_body_paragraph
          - field.field.node.article.field_image
          - field.field.node.article.field_meta_tags
          - field.field.node.article.field_summary
          - field.field.node.article.field_tags
          - field.field.node.article.field_topics
          - node.type.article
        module:
          - user
      id: node.article.default
      targetEntityType: node
      bundle: article
      mode: default
      content: {  }
      hidden:
        body: true
        comment: true
        field_article_type: true
        field_authors: true
        field_body_paragraph: true
        field_image: true
        field_meta_tags: true
        field_summary: true
        field_tags: true
        field_topics: true
        links: true
  -
    collection: ''
    name: core.entity_view_display.node.article.full
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_display.comment.comment.default
          - core.entity_view_mode.node.full
          - field.field.node.article.body
          - field.field.node.article.comment
          - field.field.node.article.field_article_type
          - field.field.node.article.field_authors
          - field.field.node.article.field_body_paragraph
          - field.field.node.article.field_image
          - field.field.node.article.field_meta_tags
          - field.field.node.article.field_summary
          - field.field.node.article.field_tags
          - field.field.node.article.field_topics
          - node.type.article
          - responsive_image.styles.wide
        module:
          - comment
          - ds
          - entity_reference_revisions
          - responsive_image
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_3col_stacked
            library: ds/ds_3col_stacked
            disable_css: false
            entity_classes: all_classes
            settings:
              wrappers:
                header: div
                left: div
                middle: div
                right: div
                footer: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions:
            header:
              - field_image
            left:
              - node_post_date
              - field_authors
            middle:
              - field_body_paragraph
              - field_article_type
              - field_topics
              - field_tags
              - comment
              - links
          fields:
            node_post_date:
              plugin_id: node_post_date
              weight: 1
              label: hidden
              formatter: ds_post_date_month_day_year
      id: node.article.full
      targetEntityType: node
      bundle: article
      mode: full
      content:
        comment:
          label: above
          type: comment_default
          weight: 7
          settings:
            pager_id: 0
            view_mode: default
          third_party_settings: {  }
          region: middle
        field_article_type:
          weight: 4
          label: visually_hidden
          settings:
            link: true
          third_party_settings: {  }
          type: entity_reference_label
          region: middle
        field_authors:
          type: entity_reference_label
          weight: 2
          region: left
          label: visually_hidden
          settings:
            link: true
          third_party_settings:
            ds:
              ds_limit: ''
        field_body_paragraph:
          weight: 3
          label: visually_hidden
          settings:
            view_mode: default
            link: ''
          third_party_settings: {  }
          type: entity_reference_revisions_entity_view
          region: middle
        field_image:
          type: responsive_image
          weight: 0
          settings:
            responsive_image_style: wide
            image_link: ''
          third_party_settings: {  }
          label: visually_hidden
          region: header
        field_tags:
          type: entity_reference_label
          weight: 6
          label: hidden
          settings:
            link: true
          third_party_settings: {  }
          region: middle
        field_topics:
          type: entity_reference_label
          weight: 5
          region: middle
          label: visually_hidden
          settings:
            link: true
          third_party_settings: {  }
        links:
          weight: 8
          region: middle
          settings: {  }
          third_party_settings: {  }
      hidden:
        body: true
        field_meta_tags: true
        field_summary: true
  -
    collection: ''
    name: core.entity_view_display.node.article.media
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.media
          - field.field.node.article.body
          - field.field.node.article.comment
          - field.field.node.article.field_article_type
          - field.field.node.article.field_authors
          - field.field.node.article.field_body_paragraph
          - field.field.node.article.field_image
          - field.field.node.article.field_meta_tags
          - field.field.node.article.field_summary
          - field.field.node.article.field_tags
          - field.field.node.article.field_topics
          - image.style.square_thumbnail
          - node.type.article
        module:
          - ds
          - field_group
          - image
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_1col
            library: null
            disable_css: false
            entity_classes: all_classes
            settings:
              wrappers:
                ds_content: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions:
            ds_content:
              - group_media_left
              - field_image
              - group_media_content
              - node_title
              - field_topics
          fields:
            node_title:
              plugin_id: node_title
              weight: 2
              label: hidden
              formatter: default
              settings:
                link: true
                wrapper: h5
                class: ''
        field_group:
          group_media_content:
            children:
              - node_title
              - field_topics
            parent_name: ''
            weight: 1
            format_type: html_element
            format_settings:
              id: ''
              classes: ''
              element: div
              show_label: false
              label_element: h3
              attributes: ''
              effect: none
              speed: fast
            label: 'Media content'
            region: hidden
          group_media_left:
            children:
              - field_image
            parent_name: ''
            weight: 0
            format_type: html_element
            format_settings:
              id: ''
              classes: ''
              element: div
              show_label: false
              label_element: h3
              attributes: ''
              effect: none
              speed: fast
            label: 'Media left'
            region: hidden
      id: node.article.media
      targetEntityType: node
      bundle: article
      mode: media
      content:
        field_image:
          type: image
          weight: 0
          region: ds_content
          label: visually_hidden
          settings:
            image_style: square_thumbnail
            image_link: content
          third_party_settings: {  }
        field_topics:
          type: entity_reference_label
          weight: 3
          region: ds_content
          label: visually_hidden
          settings:
            link: true
          third_party_settings: {  }
      hidden:
        body: true
        comment: true
        field_article_type: true
        field_authors: true
        field_body_paragraph: true
        field_meta_tags: true
        field_summary: true
        field_tags: true
        links: true
  -
    collection: ''
    name: core.entity_view_display.node.article.rss
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.rss
          - field.field.node.article.body
          - field.field.node.article.comment
          - field.field.node.article.field_article_type
          - field.field.node.article.field_authors
          - field.field.node.article.field_body_paragraph
          - field.field.node.article.field_image
          - field.field.node.article.field_meta_tags
          - field.field.node.article.field_summary
          - field.field.node.article.field_tags
          - field.field.node.article.field_topics
          - image.style.small_square
          - node.type.article
        module:
          - ds
          - image
          - taxonomy
          - text
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_1col
            library: null
            disable_css: false
            entity_classes: all_classes
            settings:
              wrappers:
                ds_content: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions:
            ds_content:
              - field_image
              - node_title
              - field_summary
              - field_topics
              - links
          fields:
            node_title:
              plugin_id: node_title
              weight: 1
              label: hidden
              formatter: default
              settings:
                link: true
                wrapper: h2
                class: ''
      id: node.article.rss
      targetEntityType: node
      bundle: article
      mode: rss
      content:
        field_image:
          type: image
          weight: 0
          label: hidden
          settings:
            image_style: small_square
            image_link: ''
          third_party_settings: {  }
          region: ds_content
        field_summary:
          type: text_default
          weight: 2
          label: hidden
          settings: {  }
          third_party_settings: {  }
          region: ds_content
        field_topics:
          type: entity_reference_rss_category
          weight: 3
          region: ds_content
          label: inline
          settings: {  }
          third_party_settings: {  }
        links:
          weight: 4
          region: ds_content
          settings: {  }
          third_party_settings: {  }
      hidden:
        body: true
        comment: true
        field_article_type: true
        field_authors: true
        field_body_paragraph: true
        field_meta_tags: true
        field_tags: true
  -
    collection: ''
    name: core.entity_view_display.node.article.search_index
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.search_index
          - field.field.node.article.body
          - field.field.node.article.comment
          - field.field.node.article.field_article_type
          - field.field.node.article.field_authors
          - field.field.node.article.field_body_paragraph
          - field.field.node.article.field_image
          - field.field.node.article.field_meta_tags
          - field.field.node.article.field_summary
          - field.field.node.article.field_tags
          - field.field.node.article.field_topics
          - node.type.article
        module:
          - ds
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_1col
            library: null
            disable_css: false
            entity_classes: all_classes
            settings:
              wrappers:
                ds_content: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions: {  }
      id: node.article.search_index
      targetEntityType: node
      bundle: article
      mode: search_index
      content: {  }
      hidden:
        body: true
        comment: true
        field_article_type: true
        field_authors: true
        field_body_paragraph: true
        field_image: true
        field_meta_tags: true
        field_summary: true
        field_tags: true
        field_topics: true
        links: true
  -
    collection: ''
    name: core.entity_view_display.node.article.simple_card
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.simple_card
          - field.field.node.article.body
          - field.field.node.article.comment
          - field.field.node.article.field_article_type
          - field.field.node.article.field_authors
          - field.field.node.article.field_body_paragraph
          - field.field.node.article.field_image
          - field.field.node.article.field_meta_tags
          - field.field.node.article.field_summary
          - field.field.node.article.field_tags
          - field.field.node.article.field_topics
          - node.type.article
          - responsive_image.styles.narrow
        module:
          - ds
          - field_group
          - responsive_image
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_1col
            library: null
            disable_css: false
            entity_classes: all_classes
            settings:
              wrappers:
                ds_content: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions:
            ds_content:
              - field_image
              - 'bundle_field:node'
              - group_card_content
              - node_title
          fields:
            'bundle_field:node':
              plugin_id: 'bundle_field:node'
              weight: 0
              label: hidden
              formatter: default
            node_title:
              plugin_id: node_title
              weight: 1
              label: hidden
              formatter: default
              settings:
                link: true
                wrapper: h2
                class: ''
                exclude_node_title: '1'
        field_group:
          group_card_content:
            children:
              - 'bundle_field:node'
              - node_title
            parent_name: ''
            weight: 1
            format_type: html_element
            format_settings:
              id: ''
              classes: ''
              element: div
              show_label: false
              label_element: h3
              attributes: ''
              effect: none
              speed: fast
            label: 'Card content'
            region: hidden
      id: node.article.simple_card
      targetEntityType: node
      bundle: article
      mode: simple_card
      content:
        field_image:
          type: responsive_image
          weight: 0
          region: ds_content
          label: visually_hidden
          settings:
            responsive_image_style: narrow
            image_link: content
          third_party_settings: {  }
      hidden:
        body: true
        comment: true
        field_article_type: true
        field_authors: true
        field_body_paragraph: true
        field_meta_tags: true
        field_summary: true
        field_tags: true
        field_topics: true
        links: true
  -
    collection: ''
    name: core.entity_view_display.node.article.teaser
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.teaser
          - field.field.node.article.body
          - field.field.node.article.comment
          - field.field.node.article.field_article_type
          - field.field.node.article.field_authors
          - field.field.node.article.field_body_paragraph
          - field.field.node.article.field_image
          - field.field.node.article.field_meta_tags
          - field.field.node.article.field_summary
          - field.field.node.article.field_tags
          - field.field.node.article.field_topics
          - node.type.article
        module:
          - ds
          - responsive_image
          - text
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_2col
            library: ds/ds_2col
            disable_css: true
            entity_classes: all_classes
            settings:
              wrappers:
                left: div
                right: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions:
            left:
              - field_image
            right:
              - node_post_date
              - node_title
              - field_authors
              - field_summary
              - field_topics
          fields:
            node_post_date:
              plugin_id: node_post_date
              weight: 1
              label: hidden
              formatter: ds_post_date_month_day_year
            node_title:
              plugin_id: node_title
              weight: 2
              label: hidden
              formatter: default
              settings:
                link: true
                wrapper: h2
                class: ''
      id: node.article.teaser
      targetEntityType: node
      bundle: article
      mode: teaser
      content:
        field_authors:
          type: entity_reference_label
          weight: 3
          region: right
          label: visually_hidden
          settings:
            link: true
          third_party_settings: {  }
        field_image:
          type: responsive_image
          weight: 0
          settings:
            image_link: content
            responsive_image_style: ''
          third_party_settings: {  }
          label: visually_hidden
          region: left
        field_summary:
          type: text_default
          weight: 4
          label: visually_hidden
          settings: {  }
          third_party_settings: {  }
          region: right
        field_topics:
          type: entity_reference_label
          weight: 5
          region: right
          label: visually_hidden
          settings:
            link: true
          third_party_settings: {  }
      hidden:
        body: true
        comment: true
        field_article_type: true
        field_body_paragraph: true
        field_meta_tags: true
        field_tags: true
        links: true
  -
    collection: ''
    name: facets.facet.article_topics
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - search_api.index.article
          - views.view.article
        module:
          - search_api
      id: article_topics
      name: 'Article Topics'
      url_alias: article_topics
      weight: 0
      min_count: 1
      show_only_one_result: false
      field_identifier: field_topics
      facet_source_id: 'search_api:views_page__article__page_listing'
      widget:
        type: checkbox
        config:
          show_numbers: true
          soft_limit: 10
          soft_limit_settings:
            show_less_label: 'Show fewer'
            show_more_label: 'Show more'
      query_operator: or
      use_hierarchy: false
      expand_hierarchy: false
      enable_parent_when_child_gets_disabled: true
      hard_limit: 0
      exclude: false
      only_visible_when_facet_source_is_visible: true
      processor_configs:
        display_value_widget_order:
          processor_id: display_value_widget_order
          weights:
            sort: -10
          settings:
            sort: ASC
        translate_entity:
          processor_id: translate_entity
          weights:
            build: 5
          settings: {  }
        url_processor_handler:
          processor_id: url_processor_handler
          weights:
            pre_query: -10
            build: -10
          settings: {  }
      empty_behavior:
        behavior: none
      show_title: null
  -
    collection: ''
    name: facets.facet.article_type
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - search_api.index.article
          - views.view.article
        module:
          - search_api
      id: article_type
      name: 'Article Type'
      url_alias: article_type
      weight: 0
      min_count: 1
      show_only_one_result: false
      field_identifier: field_article_type
      facet_source_id: 'search_api:views_page__article__page_listing'
      widget:
        type: checkbox
        config:
          show_numbers: true
          soft_limit: 10
          soft_limit_settings:
            show_less_label: 'Show fewer'
            show_more_label: 'Show more'
      query_operator: or
      use_hierarchy: false
      expand_hierarchy: false
      enable_parent_when_child_gets_disabled: true
      hard_limit: 0
      exclude: false
      only_visible_when_facet_source_is_visible: true
      processor_configs:
        display_value_widget_order:
          processor_id: display_value_widget_order
          weights:
            sort: -10
          settings:
            sort: ASC
        translate_entity:
          processor_id: translate_entity
          weights:
            build: 5
          settings: {  }
        url_processor_handler:
          processor_id: url_processor_handler
          weights:
            pre_query: -10
            build: -10
          settings: {  }
      empty_behavior:
        behavior: none
      show_title: null
  -
    collection: ''
    name: field.field.node.article.body
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.body
          - node.type.article
        module:
          - text
      id: node.article.body
      field_name: body
      entity_type: node
      bundle: article
      label: Body
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        display_summary: true
      field_type: text_with_summary
  -
    collection: ''
    name: field.field.node.article.comment
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.comment
          - node.type.article
        module:
          - comment
      id: node.article.comment
      field_name: comment
      entity_type: node
      bundle: article
      label: Comments
      description: ''
      required: true
      translatable: true
      default_value:
        -
          status: 2
          cid: 0
          last_comment_timestamp: 0
          last_comment_name: null
          last_comment_uid: 0
          comment_count: 0
      default_value_callback: ''
      settings:
        default_mode: 1
        per_page: 50
        anonymous: 0
        form_location: false
        preview: 1
      field_type: comment
  -
    collection: ''
    name: field.field.node.article.field_article_type
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_article_type
          - node.type.article
          - taxonomy.vocabulary.article_type
      id: node.article.field_article_type
      field_name: field_article_type
      entity_type: node
      bundle: article
      label: 'Article type'
      description: ' Site visitors can filter content by the Article Type. Add Article Type options at the  <a href="/admin/structure/taxonomy/manage/article_type/overview">Article Type vocabulary page</a>. '
      required: false
      translatable: false
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:taxonomy_term'
        handler_settings:
          target_bundles:
            article_type: article_type
          sort:
            field: _none
          auto_create: false
          auto_create_bundle: ''
      field_type: entity_reference
  -
    collection: ''
    name: field.field.node.article.field_authors
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_authors
          - node.type.article
          - node.type.people
      id: node.article.field_authors
      field_name: field_authors
      entity_type: node
      bundle: article
      label: Authors
      description: 'Add one or more authors of your content by linking to existing "people."'
      required: false
      translatable: false
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:node'
        handler_settings:
          target_bundles:
            people: people
          sort:
            field: title
            direction: ASC
          auto_create: false
          auto_create_bundle: ''
      field_type: entity_reference
  -
    collection: ''
    name: field.field.node.article.field_body_paragraph
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_body_paragraph
          - node.type.article
          - paragraphs.paragraphs_type.faq
          - paragraphs.paragraphs_type.file
          - paragraphs.paragraphs_type.image
          - paragraphs.paragraphs_type.text
          - paragraphs.paragraphs_type.video
        module:
          - entity_reference_revisions
      id: node.article.field_body_paragraph
      field_name: field_body_paragraph
      entity_type: node
      bundle: article
      label: 'Body paragraph'
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:paragraph'
        handler_settings:
          negate: 0
          target_bundles:
            text: text
            image: image
            file: file
            video: video
            faq: faq
          target_bundles_drag_drop:
            text:
              enabled: true
              weight: -15
            image:
              enabled: true
              weight: -14
            file:
              enabled: true
              weight: -13
            video:
              enabled: true
              weight: -12
            faq:
              enabled: true
              weight: -11
            slide:
              weight: -10
              enabled: false
            update:
              weight: -9
              enabled: false
      field_type: entity_reference_revisions
  -
    collection: ''
    name: field.field.node.article.field_image
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_image
          - node.type.article
        module:
          - image
      id: node.article.field_image
      field_name: field_image
      entity_type: node
      bundle: article
      label: Image
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        file_directory: '[date:custom:Y]-[date:custom:m]'
        file_extensions: 'png gif jpg jpeg'
        max_filesize: ''
        max_resolution: ''
        min_resolution: ''
        alt_field: true
        title_field: false
        alt_field_required: true
        title_field_required: false
        default_image:
          uuid: null
          alt: ''
          title: ''
          width: null
          height: null
        handler: 'default:file'
        handler_settings: {  }
      field_type: image
  -
    collection: ''
    name: field.field.node.article.field_meta_tags
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_meta_tags
          - node.type.article
        module:
          - metatag
      id: node.article.field_meta_tags
      field_name: field_meta_tags
      entity_type: node
      bundle: article
      label: 'Meta tags'
      description: ''
      required: false
      translatable: true
      default_value:
        -
          value: 'a:0:{}'
      default_value_callback: ''
      settings: {  }
      field_type: metatag
  -
    collection: ''
    name: field.field.node.article.field_summary
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_summary
          - node.type.article
        module:
          - text
      id: node.article.field_summary
      field_name: field_summary
      entity_type: node
      bundle: article
      label: Summary
      description: 'Enter a short description of what this article is about. The summary is displayed on Article teasers, such as on the Articles page. '
      required: true
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings: {  }
      field_type: text_long
  -
    collection: ''
    name: field.field.node.article.field_tags
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_tags
          - node.type.article
          - taxonomy.vocabulary.tags
      id: node.article.field_tags
      field_name: field_tags
      entity_type: node
      bundle: article
      label: Tags
      description: 'Enter a comma-separated list. For example: Amsterdam, Mexico City, "Cleveland, Ohio"'
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:taxonomy_term'
        handler_settings:
          target_bundles:
            tags: tags
          sort:
            field: _none
          auto_create: true
      field_type: entity_reference
  -
    collection: ''
    name: field.field.node.article.field_topics
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_topics
          - node.type.article
          - taxonomy.vocabulary.topics
      id: node.article.field_topics
      field_name: field_topics
      entity_type: node
      bundle: article
      label: Topics
      description: 'Choose one or more high-level topics to categorize your content across multiple content types.'
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:taxonomy_term'
        handler_settings:
          target_bundles:
            topics: topics
          sort:
            field: name
            direction: asc
          auto_create: false
          auto_create_bundle: ''
      field_type: entity_reference
  -
    collection: ''
    name: field.storage.node.field_article_type
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - node
          - taxonomy
      id: node.field_article_type
      field_name: field_article_type
      entity_type: node
      type: entity_reference
      settings:
        target_type: taxonomy_term
      module: core
      locked: false
      cardinality: 1
      translatable: true
      indexes: {  }
      persist_with_no_fields: false
      custom_storage: false
  -
    collection: ''
    name: node.type.article
    data:
      langcode: en
      status: true
      dependencies: {  }
      name: Article
      type: article
      description: 'Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.'
      help: ''
      new_revision: true
      preview_mode: 1
      display_submitted: true
  -
    collection: ''
    name: pathauto.pattern.article_type
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - ctools
          - taxonomy
      id: article_type
      label: 'Article type'
      type: 'canonical_entities:taxonomy_term'
      pattern: '[term:vocabulary]/[term:name]'
      selection_criteria:
        cde01071-39bc-45f5-be97-cbc6a4fd47b2:
          id: 'entity_bundle:taxonomy_term'
          bundles:
            article_type: article_type
          negate: false
          context_mapping:
            taxonomy_term: taxonomy_term
          uuid: cde01071-39bc-45f5-be97-cbc6a4fd47b2
      selection_logic: and
      weight: -5
      relationships: {  }
  -
    collection: ''
    name: pathauto.pattern.node_article
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - node
      id: node_article
      label: 'Node article'
      type: 'canonical_entities:node'
      pattern: 'articles/[node:title]'
      selection_criteria:
        03faf328-473f-4ba7-bafe-72df857287d9:
          id: node_type
          bundles:
            article: article
          negate: false
          context_mapping:
            node: node
          uuid: 03faf328-473f-4ba7-bafe-72df857287d9
      selection_logic: and
      weight: -5
      relationships: {  }
  -
    collection: ''
    name: rdf.mapping.node.article
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - node.type.article
        module:
          - node
      id: node.article
      targetEntityType: node
      bundle: article
      types:
        - 'schema:Article'
      fieldMappings:
        title:
          properties:
            - 'schema:name'
        created:
          properties:
            - 'schema:dateCreated'
          datatype_callback:
            callable: 'Drupal\rdf\CommonDataConverter::dateIso8601Value'
        changed:
          properties:
            - 'schema:dateModified'
          datatype_callback:
            callable: 'Drupal\rdf\CommonDataConverter::dateIso8601Value'
        body:
          properties:
            - 'schema:text'
        uid:
          properties:
            - 'schema:author'
        comment:
          properties:
            - 'schema:comment'
          mapping_type: rel
        comment_count:
          properties:
            - 'schema:interactionCount'
          datatype_callback:
            callable: 'Drupal\rdf\SchemaOrgDataConverter::interactionCount'
            arguments:
              interaction_type: UserComments
        field_image:
          properties:
            - 'schema:image'
        field_tags:
          properties:
            - 'schema:about'
  -
    collection: ''
    name: search_api.index.article
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_tags
          - field.storage.node.field_summary
          - field.storage.node.field_article_type
          - field.storage.node.field_authors
          - field.storage.node.field_topics
          - search_api.server.database
          - core.entity_view_mode.node.search_index
        module:
          - user
          - search_api
          - node
      id: article
      name: Article
      description: 'An index for the article content type.'
      read_only: false
      field_settings:
        rendered_item:
          label: 'Rendered HTML output'
          property_path: rendered_item
          type: text
          configuration:
            roles:
              anonymous: anonymous
            view_mode:
              'entity:node':
                article: search_index
        node_grants:
          label: 'Node access information'
          property_path: search_api_node_grants
          type: string
          indexed_locked: true
          type_locked: true
          hidden: true
        title:
          label: Title
          datasource_id: 'entity:node'
          property_path: title
          type: text
          boost: 8.0
        field_tags:
          label: Tags
          datasource_id: 'entity:node'
          property_path: field_tags
          type: integer
          dependencies:
            config:
              - field.storage.node.field_tags
        created:
          label: 'Authored on'
          datasource_id: 'entity:node'
          property_path: created
          type: date
        uid:
          label: 'Authored by'
          datasource_id: 'entity:node'
          property_path: uid
          type: integer
          indexed_locked: true
          type_locked: true
        changed:
          label: Changed
          datasource_id: 'entity:node'
          property_path: changed
          type: date
        field_summary:
          label: Summary
          datasource_id: 'entity:node'
          property_path: field_summary
          type: text
          dependencies:
            config:
              - field.storage.node.field_summary
        status:
          label: Published
          datasource_id: 'entity:node'
          property_path: status
          type: boolean
          indexed_locked: true
          type_locked: true
        name:
          label: 'Authored by » User » Name'
          datasource_id: 'entity:node'
          property_path: 'uid:entity:name'
          type: string
          dependencies:
            module:
              - user
        sticky:
          label: 'Sticky at top of lists'
          datasource_id: 'entity:node'
          property_path: sticky
          type: boolean
        promote:
          label: 'Promoted to front page'
          datasource_id: 'entity:node'
          property_path: promote
          type: boolean
        field_article_type:
          label: 'Article type'
          datasource_id: 'entity:node'
          property_path: field_article_type
          type: integer
          dependencies:
            config:
              - field.storage.node.field_article_type
        field_authors:
          label: Authors
          datasource_id: 'entity:node'
          property_path: field_authors
          type: integer
          dependencies:
            config:
              - field.storage.node.field_authors
        field_topics:
          label: Topics
          datasource_id: 'entity:node'
          property_path: field_topics
          type: integer
          dependencies:
            config:
              - field.storage.node.field_topics
      datasource_settings:
        'entity:node':
          bundles:
            default: false
            selected:
              - article
          languages:
            default: true
            selected: {  }
      processor_settings:
        rendered_item: {  }
        add_url: {  }
        aggregated_field: {  }
        entity_status: {  }
        tokenizer:
          all_fields: false
          fields:
            - rendered_item
            - title
            - field_summary
          spaces: ''
          overlap_cjk: 1
          minimum_word_size: '3'
          weights:
            preprocess_index: -44
            preprocess_query: -46
        stopwords:
          all_fields: false
          fields:
            - rendered_item
            - title
            - field_summary
          stopwords:
            - a
            - an
            - and
            - are
            - as
            - at
            - be
            - but
            - by
            - for
            - if
            - in
            - into
            - is
            - it
            - 'no'
            - not
            - of
            - 'on'
            - or
            - s
            - such
            - t
            - that
            - the
            - their
            - then
            - there
            - these
            - they
            - this
            - to
            - was
            - will
            - with
          weights:
            preprocess_index: -48
            preprocess_query: -50
        ignorecase:
          all_fields: false
          fields:
            - rendered_item
            - title
            - field_summary
            - name
          weights:
            preprocess_index: -49
            preprocess_query: -49
        transliteration:
          all_fields: false
          fields:
            - rendered_item
            - title
            - field_summary
            - name
          weights:
            preprocess_index: -47
            preprocess_query: -48
        content_access:
          weights:
            preprocess_query: -45
        html_filter:
          all_fields: false
          fields:
            - rendered_item
            - field_summary
          title: true
          alt: true
          tags:
            h1: 5
            h2: 3
            h3: 2
            strong: 2
            b: 2
          weights:
            preprocess_index: -46
            preprocess_query: -47
      tracker_settings:
        default:
          indexing_order: fifo
      options:
        index_directly: true
        cron_limit: 50
      server: database
  -
    collection: ''
    name: taxonomy.vocabulary.article_type
    data:
      langcode: en
      status: true
      dependencies: {  }
      name: 'Article type'
      vid: article_type
      description: 'For categorizing articles.'
      hierarchy: 0
      weight: 0
  -
    collection: ''
    name: views.view.article
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - search_api.index.article
          - system.menu.main
        module:
          - search_api
          - user
      id: article
      label: Article
      module: views
      description: 'Various displays for the article content type.'
      tag: ''
      base_table: search_api_index_article
      base_field: search_api_id
      core: 8.x
      display:
        default:
          display_plugin: default
          id: default
          display_title: Master
          position: 0
          display_options:
            access:
              type: perm
              options:
                perm: 'access content'
            cache:
              type: none
              options: {  }
            query:
              type: views_query
              options:
                bypass_access: false
                skip_access: false
            exposed_form:
              type: basic
              options:
                submit_button: Apply
                reset_button: false
                reset_button_label: Reset
                exposed_sorts_label: 'Sort by'
                expose_sort_order: true
                sort_asc_label: Asc
                sort_desc_label: Desc
            pager:
              type: mini
              options:
                items_per_page: 12
                offset: 0
                id: 0
                total_pages: null
                expose:
                  items_per_page: false
                  items_per_page_label: 'Items per page'
                  items_per_page_options: '5, 10, 25, 50'
                  items_per_page_options_all: false
                  items_per_page_options_all_label: '- All -'
                  offset: false
                  offset_label: Offset
                tags:
                  previous: ‹‹
                  next: ››
            style:
              type: default
              options:
                row_class: ''
                default_row_class: false
                uses_fields: false
            row:
              type: search_api
              options:
                view_modes:
                  'entity:node':
                    article: card
            fields:
              rendered_item:
                table: search_api_index_article
                field: rendered_item
                id: rendered_item
                entity_type: null
                entity_field: null
                plugin_id: search_api
                relationship: none
                group_type: group
                admin_label: ''
                label: ''
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                link_to_item: false
                use_highlighting: false
                multi_type: separator
                multi_separator: ', '
            filters: {  }
            sorts:
              sticky:
                id: sticky
                table: search_api_index_article
                field: sticky
                relationship: none
                group_type: group
                admin_label: ''
                order: DESC
                exposed: false
                expose:
                  label: ''
                plugin_id: search_api
              created:
                id: created
                table: search_api_index_article
                field: created
                relationship: none
                group_type: group
                admin_label: ''
                order: DESC
                exposed: false
                expose:
                  label: ''
                plugin_id: search_api
            title: Articles
            header: {  }
            footer: {  }
            empty: {  }
            relationships: {  }
            arguments: {  }
            display_extenders: {  }
          cache_metadata:
            max-age: -1
            contexts:
              - 'languages:language_interface'
              - url.query_args
              - user.permissions
            tags: {  }
        block_promoted:
          display_plugin: block
          id: block_promoted
          display_title: 'Block Promoted'
          position: 2
          display_options:
            display_extenders: {  }
            title: Latest
            defaults:
              title: false
              style: true
              row: true
              pager: false
              link_display: false
              link_url: false
            pager:
              type: some
              options:
                items_per_page: 4
                offset: 0
            display_description: ''
            block_description: 'Promoted articles'
            link_display: page_1
            link_url: ''
            block_hide_empty: true
          cache_metadata:
            max-age: -1
            contexts:
              - 'languages:language_interface'
              - user.permissions
            tags: {  }
        page_listing:
          display_plugin: page
          id: page_listing
          display_title: Page
          position: 1
          display_options:
            display_extenders: {  }
            path: articles
            menu:
              type: normal
              title: Articles
              description: 'Keep up to date.'
              expanded: false
              parent: ''
              weight: 0
              context: '0'
              menu_name: main
          cache_metadata:
            max-age: -1
            contexts:
              - 'languages:language_interface'
              - url.query_args
              - user.permissions
            tags: {  }
